<?php
 
 
 

namespace PhpWA\Protocol\Proto;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class Point extends \Google\Protobuf\Internal\Message
{
    


    protected $xDeprecated = null;
    


    protected $yDeprecated = null;
    


    protected $x = null;
    


    protected $y = null;

    











    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getXDeprecated()
    {
        return isset($this->xDeprecated) ? $this->xDeprecated : 0;
    }

    public function hasXDeprecated()
    {
        return isset($this->xDeprecated);
    }

    public function clearXDeprecated()
    {
        unset($this->xDeprecated);
    }

    




    public function setXDeprecated($var)
    {
        GPBUtil::checkInt32($var);
        $this->xDeprecated = $var;

        return $this;
    }

    



    public function getYDeprecated()
    {
        return isset($this->yDeprecated) ? $this->yDeprecated : 0;
    }

    public function hasYDeprecated()
    {
        return isset($this->yDeprecated);
    }

    public function clearYDeprecated()
    {
        unset($this->yDeprecated);
    }

    




    public function setYDeprecated($var)
    {
        GPBUtil::checkInt32($var);
        $this->yDeprecated = $var;

        return $this;
    }

    



    public function getX()
    {
        return isset($this->x) ? $this->x : 0.0;
    }

    public function hasX()
    {
        return isset($this->x);
    }

    public function clearX()
    {
        unset($this->x);
    }

    




    public function setX($var)
    {
        GPBUtil::checkDouble($var);
        $this->x = $var;

        return $this;
    }

    



    public function getY()
    {
        return isset($this->y) ? $this->y : 0.0;
    }

    public function hasY()
    {
        return isset($this->y);
    }

    public function clearY()
    {
        unset($this->y);
    }

    




    public function setY($var)
    {
        GPBUtil::checkDouble($var);
        $this->y = $var;

        return $this;
    }

}

